> For the complete documentation index, see [llms.txt](https://docs.ordinalsbot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ordinalsbot.com/preinscribedlaunchpad/retrieve-launch-psbt.md).

# Retrieve Launch PSBT

{% hint style="info" %}
An API Key is required to interact with Launchpad APIs. Please contact us to get an API Key and get started.
{% endhint %}

Use this endpoint to retrieve the PSBT. If PSBT is not ready a pending status will be returned. When the psbt is ready, the psbt to be signed is returned along with a pending confirmation status.

The PSBT needs to be signed by the wallet that owns all the pre inscribed inscriptions.

### `POST` /launchpad/get-launch-psbt/:launchpadId

<mark style="color:green;">`GET`</mark> `https://api.ordinalsbot.com/launchpad/get-launch-psbt/:launchpadId`

API Key is required in the header:

`headers: { 'x-api-key': '<YOUR_API_KEY>', ...otherHeaders }`

{% tabs %}
{% tab title="200: OK " %}

```json
// Response has the unsigned psbt and the status
// status is pending while the psbt is being created
// Once psbt is ready status will change to pending confirmation
 
{
  "status": "pending_buyer_confirmation",
  "psbt": "cHNidP8BAHECAAAAAfPQ0OTWpSxwRJK..."
}

```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/preinscribedlaunchpad/retrieve-launch-psbt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
